config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    rm $NEW
  fi
}

CONFIGS="classification.config reference.config suricata.yaml threshold.config"
for file in $CONFIGS; do
    config etc/suricata/${file}.new
done
( cd usr/lib ; rm -rf libhtp-0.5.18.so.1 )
( cd usr/lib ; ln -sf libhtp-0.5.18.so.1.0.0 libhtp-0.5.18.so.1 )
( cd usr/lib ; rm -rf libhtp.so )
( cd usr/lib ; ln -sf libhtp-0.5.18.so.1.0.0 libhtp.so )
